An environment's custom domains
GET
/v1/organisations/{id}/environments/{envId}/domainsOperation domains.list · since 2026-11-05 · stable
Needs a session withreadscopeAnswers200 OK
Each domain with its status and the records to create.
Path parameters
- idstring (uuid)required
- The organisation id.
- envIdstring (uuid)required
- The environment id.
Query parameters
- servicestringoptional
- Only domains of this service.
Errors
Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.
GET/v1/organisations/{id}/environments/{envId}/domains
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/environments/$ENV_ID/domains" \
-H "Authorization: Bearer $RYKLOUD_TOKEN"With the rykloud CLI
rykloud domains list [ENV]Command reference: rykloud domains list